%define _requires_exceptions /usr/bin/../pl.sh
%define subrel 1

Summary:	Prolog interpreter and compiler
Name:		swi-prolog
Version:	5.6.51
Release:	%mkrel 1
License:	LGPLv2+
Group:		Development/Other
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	jpeg-devel
BuildRequires:	xpm-devel
BuildRequires:	X11-devel
BuildRequires:	unixODBC-devel
BuildRequires:	db4-devel
BuildRequires:	openssl-devel
BuildRequires:	libncursesw-devel
BuildRequires:	gmp-devel
BuildRequires:	java-devel-icedtea
URL:		http://www.swi-prolog.org/
Source0:	ftp://swi.psy.uva.nl/pub/SWI-Prolog/pl-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	swi-pl
Provides:	swi-pl

%description
Edinburgh-style Prolog compiler including modules, autoload, libraries,
Garbage-collector, stack-expandor, C-interface, GNU-readline and GNU-Emacs
interface, very fast compiler.

%package jpl
Group:		Development/Java
Summary:	Java interface for %{name}
Requires:	java-icedtea
Requires:	%{name} = %{version}-%{release}

%description jpl
JPL is a dynamic, bi-directional interface between %{name} and Java
runtimes. It offers two APIs: Java API (Java-calls-Prolog) and Prolog
API (Prolog-calls-Java).

%package xpce
Group:		Development/Other
Summary:	%{name} native GUI library
Requires:	%{name} = %{version}-%{release}

%description xpce
XPCE is a toolkit for developing graphical applications in Prolog and
other interactive and dynamically typed languages. 

%prep
%setup -n pl-%{version} -q

%build
%{?__cputoolize: %{__cputoolize} -c src} 
%configure2_5x
make COFLAGS="%{optflags} -fno-strict-aliasing -fPIC"
#make -C src check
pushd packages
export PATH=$PATH:%{_builddir}/pl-%{version}/src
%configure2_5x
make COFLAGS="%{optflags} -fno-strict-aliasing -fPIC"
popd

%install
rm -rf %{buildroot}
%makeinstall
pushd packages
%makeinstall PLBASE=%{buildroot}%{_prefix}/lib/pl-%{version}
make html-install PLBASE=%{buildroot}%{_prefix}/lib/pl-%{version}
popd

rm -f %{buildroot}%{_mandir}/man3/readline*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc ANNOUNCE LSM PORTING README VERSION
%{_bindir}/pl*
%{_prefix}/lib/pl-*
%{_mandir}/*/pl*
%exclude %{_prefix}/lib/pl-%{version}/doc/packages/examples/jpl
%exclude %{_prefix}/lib/pl-%{version}/doc/packages/jpl
%exclude %{_prefix}/lib/pl-%{version}/lib/*/libjpl.so
%exclude %{_prefix}/lib/pl-%{version}/lib/jpl.jar
%exclude %{_prefix}/lib/pl-%{version}/library/jpl.pl
%exclude %{_prefix}/lib/pl-%{version}/doc/Manual/*xpce.html
%exclude %{_prefix}/lib/pl-%{version}/xpce*


%files jpl
%defattr(-,root,root,0755)
%doc packages/jpl/README.html
%{_prefix}/lib/pl-%{version}/doc/packages/examples/jpl
%{_prefix}/lib/pl-%{version}/doc/packages/jpl
%{_prefix}/lib/pl-%{version}/lib/*/libjpl.so
%{_prefix}/lib/pl-%{version}/lib/jpl.jar
%{_prefix}/lib/pl-%{version}/library/jpl.pl

%files xpce
%defattr(-,root,root,0755)
%{_mandir}/*/xpce*
%{_bindir}/xpce*
%{_prefix}/lib/pl-%{version}/doc/Manual/*xpce.html
%{_prefix}/lib/pl-%{version}/xpce*



%changelog
* Tue Jun 17 2008 Adam Williamson <awilliamson@mandriva.com> 5.6.51-1.1mdv2008.1
+ Revision: 221122
- except a bogus auto-require which made the package unusable (#40895)

* Mon Mar 03 2008 Adam Williamson <awilliamson@mandriva.com> 5.6.51-1mdv2008.1
+ Revision: 178170
- new release 5.6.51

* Sat Feb 23 2008 Adam Williamson <awilliamson@mandriva.com> 5.6.50-1mdv2008.1
+ Revision: 174100
- build with fPIC (needed on x86-64)
- several new buildrequires for add-ons
- put jpl and xpce in subpackages to reduce deps of main package
- build all the add-ons (much functionality missing without them)
- minor cleanups
- new release 5.6.50

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 07 2007 Adam Williamson <awilliamson@mandriva.com> 5.6.47-2mdv2008.1
+ Revision: 116368
- disable tests; causing odd failure on buildsystem but work fine in manual build
- new license policy
- new release 5.6.47 (requested on forums)


* Tue Sep 26 2006 Pixel <pixel@mandriva.com> 5.4.6-4mdv2007.0
- rebuild for ncurses
- remove old packager tag

* Sun Jan 01 2006 Pixel <pixel@mandrakesoft.com> 5.4.6-3mdk
- Rebuild

* Tue May 03 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 5.4.6-2mdk
- fix lib path
- %%mkrel

* Fri Jan 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 5.4.6-1mdk
- 5.4.6
- fix summary-ended-with-dot
- do not remove builddir in %%clean

* Fri Nov 12 2004 Pixel <pixel@mandrakesoft.com> 5.4.3-1mdk
- new release

* Thu Dec 25 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.2.11-1mdk
- 5.2.11

* Tue Oct 21 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.0.10-3mdk
- cputoolize

